#pragma once

#include <cstdint>
#include <string>
#include <filesystem>

class AssetManager {
	public:
		/**
		 * @brief Used to load things (might be read-only)
		 */
		static std::filesystem::path getResourcePath(const std::string& resource);

		/**
		 * @brief Used to save things
		 */
		static std::filesystem::path getConfigPath(const std::string& resource);
};